# $Revision: 1.13 $, $Date: 2005/03/21 19:13:02 $
Summary:	Utility to show EXIF information hidden in JPEG files
Summary(pl):	Narzdzie do wywietlania danych EXIF ukrytych w plikach JPEG
Name:		gexif
Version:	0.5
Release:	6
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://dl.sourceforge.net/libexif/%{name}-%{version}.tar.bz2
# Source0-md5:	472c109ffdb3f8528eabc039e0ac495b
Source1:	%{name}-pl.po
Patch0:		%{name}-gtk24.patch
Patch1:		%{name}-codeset.patch
URL:		http://libexif.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libexif-gtk-devel >= 0.3.3
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	libexif-gtk >= 0.3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical utility to show EXIF information hidden in JPEG files.

%description -l pl
Graficzne narzdzie dziaajce z linii polece, suce do
pokazywania informacji EXIF ukrytych w plikach JPEG.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

cp %{SOURCE1} po/pl.po
%{__perl} -pi -e 's/de es fr/de es fr pl/' configure.in

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gexif.spec,v $
Revision 1.13  2005/03/21 19:13:02  qboosh
- added pl.po, added codeset patch (gettext/gtk+2 bugfix), release 6

Revision 1.12  2005/03/21 08:50:28  havner
- rel up for libexif

Revision 1.11  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.10  2004/09/16 22:44:10  aflinta
- rebuild with libexif, release 4

Revision 1.9  2004/06/02 11:43:42  qboosh
- added gtk24 patch, BR: pkgconfig, release 3

Revision 1.8  2004/01/20 20:30:54  qboosh
- refresh config.sub (for amd64); release 2

Revision 1.7  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.6  2003/05/25 05:47:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/08 10:44:55  qboosh
- use http for sources from sourceforge

Revision 1.4  2003/01/18 22:48:35  juandon
- removed two lines with define

Revision 1.3  2003/01/11 00:36:43  qboosh
- 0.5 (for libexif-gtk >= 0.3.3)

Revision 1.2  2002/10/31 12:48:19  qboosh
- merge from DEVEL

Revision 1.1.2.1  2002/07/27 15:27:40  qboosh
- 0.5 (gtk+2 port)

Revision 1.1  2002/07/08 19:02:25  qboosh
- new
